# $Revision: 1.20 $, $Date: 2008/11/07 20:31:17 $
Summary:	xedit application - simple text editor for X
Summary(pl.UTF-8):	Aplikacja xedit - prosty edytor tekstu dla X
Name:		xorg-app-xedit
Version:	1.1.2
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/app/xedit-%{version}.tar.bz2
# Source0-md5:	67193be728414d45a1922911e6437991
Source1:	xedit.desktop
Source2:	xedit.png
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libXaw-devel
BuildRequires:	xorg-lib-libXp-devel
BuildRequires:	xorg-lib-libXprintUtil-devel
BuildRequires:	xorg-lib-libXt-devel >= 1.0.0
BuildRequires:	xorg-util-util-macros >= 0.99.2
Requires:	xorg-lib-libXt >= 1.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
xedit application is a simple text editor for X.

%description -l pl.UTF-8
Aplikacja xedit to prosty edytor tekstu dla X.

%prep
%setup -q -n xedit-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -D %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}/xedit.desktop
install -D %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}/xedit.png

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog README
%attr(755,root,root) %{_bindir}/xedit
%{_datadir}/X11/app-defaults/Xedit*
%{_libdir}/X11/xedit
%{_desktopdir}/xedit.desktop
%{_pixmapsdir}/xedit.png
%{_mandir}/man1/xedit.1x*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-app-xedit.spec,v $
Revision 1.20  2008/11/07 20:31:17  arekm
- up to 1.1.2

Revision 1.19  2008/07/31 20:40:41  qboosh
- minimally informative descs
- more docs

Revision 1.18  2008/07/31 20:23:58  arekm
- up to 1.1.1

Revision 1.17  2008/07/27 23:02:12  arekm
- release 2

Revision 1.16  2007-02-12 22:09:23  glen
- tabs in preamble

Revision 1.15  2007/02/12 01:06:39  baggins
- converted to UTF-8

Revision 1.14  2006/10/15 16:57:34  qboosh
- more verbose files, release 1

Revision 1.13  2006/04/27 06:27:54  arekm
- up to 1.0.2

Revision 1.12  2006/02/03 15:52:10  qboosh
- merged xedit.{desktop,png} from monolith

Revision 1.11  2006/01/16 11:09:30  qboosh
- runtime R: libXt >= 1.0.0 (for new app-defaults location)

Revision 1.10  2006/01/12 14:26:39  qboosh
- 1.0.1 (X11R7.0 release)

Revision 1.9  2005/12/09 15:11:55  qboosh
- 0.99.3 (X11R7.0-RC3)

Revision 1.8  2005/11/19 21:35:34  qboosh
- 0.99.2 (X11R7.0-RC2)

Revision 1.7  2005/10/22 17:59:03  qboosh
- pkgconfig epoch

Revision 1.6  2005/10/22 00:32:59  qboosh
- 0.99.1 (X11R7.0-RC1)

Revision 1.5  2005/08/27 21:46:18  qboosh
- sorted BRs

Revision 1.4  2005/08/27 20:04:01  wiget
- standard permisions to binaries

Revision 1.3  2005/08/27 20:00:45  wiget
- cleanups, kill /usr/X11R6

Revision 1.2  2005/08/27 17:42:47  wiget
- s/pkg-config/pkgconfig/ in BR:

Revision 1.1  2005/08/15 12:17:57  arekm
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

Revision 1.1  2005/08/14 22:46:42  arekm
- modular xorg specs

* Sun Aug 14 2005 10:20:45  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- fixed summaries and descriptions
- fixed Group
- defined %%{_prefix}
- added BR: libXaw-devel, libXprintUtil-devel
- release 0.02

* Sun Aug  7 2005 22:26:29  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- initial release
